> ## Documentation Index
> Fetch the complete documentation index at: https://docs.samplehc.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Check payer eligibility

> Verifies patient eligibility with a specific payer for given services based on the provided patient and provider information.



## OpenAPI

````yaml https://app.stainless.com/api/spec/documented/samplehc/openapi.documented.yml post /api/v2/clearinghouse/check-eligibility
openapi: 3.0.3
info:
  title: Sample Healthcare API
  description: API for Sample Healthcare
  version: 1.0.0
servers: []
security: []
paths:
  /api/v2/clearinghouse/check-eligibility:
    post:
      tags:
        - Clearinghouse
      summary: Check payer eligibility
      description: >-
        Verifies patient eligibility with a specific payer for given services
        based on the provided patient and provider information.
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                tradingPartnerServiceId:
                  type: string
                  description: The trading partner service ID
                providerName:
                  type: string
                  description: The provider name.
                providerIdentifier:
                  type: string
                  description: The provider identifier. This is usually your NPI.
                subscriberDateOfBirth:
                  type: string
                  description: The date of birth of the subscriber.
                subscriberFirstName:
                  type: string
                  description: The first name of the subscriber.
                subscriberLastName:
                  type: string
                  description: The last name of the subscriber.
                subscriberMemberId:
                  type: string
                  description: The member ID of the subscriber.
                serviceTypeCodes:
                  type: array
                  items:
                    type: string
                  description: The service type codes.
                encounterDateOfService:
                  type: string
                  pattern: ^\d{4}-\d{2}-\d{2}$
                  description: >-
                    Optional date of service (YYYY-MM-DD). When omitted, the
                    payer defaults to the current date in their timezone. Stedi
                    recommends omitting this field when checking eligibility for
                    today.
              required:
                - tradingPartnerServiceId
                - providerName
                - providerIdentifier
                - subscriberDateOfBirth
                - subscriberFirstName
                - subscriberLastName
                - subscriberMemberId
                - serviceTypeCodes
              additionalProperties: false
        required: true
      responses:
        '200':
          description: >-
            Successfully checked eligibility, returns the eligibility details
            from the payer.
          content:
            application/json:
              schema:
                type: object
                properties:
                  eligibility: {}
                additionalProperties: false
        '400':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: The error message.
                  message:
                    type: string
                    description: The message.
                  statusCode:
                    type: number
                    description: The status code.
                  details:
                    type: object
                    additionalProperties: {}
                    description: The details of the error
                additionalProperties: true
        '500':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: >-
                      Error message if an unexpected error occurs on the server
                      while checking eligibility.
                required:
                  - error
                additionalProperties: false

````